Skip to main content
POST
Add a Paladin context source

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

paladin_id
string<uuid>
required

The ID of the Paladin.

Body

application/json

Information for adding a context source to a Paladin.

source_kind
enum<string>
required

The kind of source a Paladin can read. A SLACK_CHANNEL is a Slack channel; a DOCUMENT is a Notion or Confluence page.

Available options:
SLACK_CHANNEL,
DOCUMENT
third_party_provider
enum<string>
required

The integration a Paladin context source comes from.

Available options:
SLACK,
NOTION,
CONFLUENCE
remote_id
string
required

The provider's identifier for the source. The Slack channel ID for a channel, or the Notion/Confluence page ID for a document.

name
string

An optional human-readable name for the source.

url
string

An optional link to the source.

Response

200 - application/json

The configured context source.

PaladinContextSource Object

Description

A context source (a Slack channel or a document) that a Paladin is configured to read during access-request review.

id
string<uuid>
required

The ID of the context source.

paladin_id
string<uuid>
required

The ID of the Paladin this source belongs to.

source_kind
enum<string>
required

The kind of source a Paladin can read. A SLACK_CHANNEL is a Slack channel; a DOCUMENT is a Notion or Confluence page.

Available options:
SLACK_CHANNEL,
DOCUMENT
third_party_provider
enum<string>
required

The integration a Paladin context source comes from.

Available options:
SLACK,
NOTION,
CONFLUENCE
remote_id
string
required

The provider's identifier for the source. The Slack channel ID for a channel, or the Notion/Confluence page ID for a document.

name
string
required

A human-readable name for the source.

url
string
required

A link to the source.

Last modified on August 13, 2026